import 'package:abg_utils/abg_utils.dart';

final List<Stat> _stat = [];
int _serverCount = 0;
int _allCountCache = 0;

addStat(String source, int count, {bool cache = false}){
  _stat.add(Stat(source, count));
  if (cache)
    _allCountCache += count;
  else
    _serverCount += count;

  _debugStat(cache);
}

_debugStat(bool cache){
  dprint("======================= Firebase Statistics =======================");
  for (var item in _stat)
    dprint("${cache ? "(LOCAL CACHE)": "(FROM SERVER)"} source: ${item.source}, count: ${item.count}");

  double p1 = (_serverCount+_allCountCache)/100;

  dprint("read from server =$_serverCount from local cache=$_allCountCache (${(_allCountCache/p1).toStringAsFixed(0)}%)");
  dprint("======================= Firebase Statistics End =======================");
}

class Stat{
  final String source;
  final int count;
  Stat(this.source, this.count);
}
